#ifndef COMMODITYFORM_H
#define COMMODITYFORM_H

#include <QWidget>
#include <autoform.h>
#include "data/commoditydata.h"
#include "commodity-odb.hxx"

namespace Ui {
class CommodityForm;
}

class CommodityForm : public AutoForm<CommodityData>
{
    Q_OBJECT

public:
    explicit CommodityForm(QWidget *parent = 0);
    ~CommodityForm();

private:
    Ui::CommodityForm *ui;

    bool m_codeAsNumber;

    // FormBinder interface
protected:
    void registerCombos();
    void onShow();
private slots:
    void on_code_textChanged(const QString &text);
};

#endif // COMMODITYFORM_H
